{ ------------------------------------------------------------- }
{ Purpose : Next Standard 6                                     }
{ By      : Bojan Nikolic                                       }
{ For     : BergSoft                                            }
{ ------------------------------------------------------------- }
{ Copyright (C) BergSoft.net 2012. All Rights Reserved.         }
{ ------------------------------------------------------------- }
unit NxUtils6;

interface

uses
  { Standard }
  Classes, SysUtils;

{$IFNDEF UNICODE}
  function CharInSet(C: AnsiChar; const CharSet: TSysCharSet): Boolean; overload;
  function CharInSet(C: WideChar; const CharSet: TSysCharSet): Boolean; overload;
{$ENDIF}

  function DblQuotes(S: WideString): WideString;

implementation

{$IFNDEF UNICODE}

function CharInSet(C: AnsiChar; const CharSet: TSysCharSet): Boolean;
begin
  Result := C in CharSet;
end;

function CharInSet(C: WideChar; const CharSet: TSysCharSet): Boolean;
begin
  Result := Char(C) in CharSet;
end;

{$ENDIF}

function DblQuotes(S: WideString): WideString;
begin
  Result := '"' + S + '"';
end;

end.
